package com.gic.haoban.manage.api.service.notify;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.notify.dto.PendingTaskDetailDTO;
import com.gic.haoban.manage.api.dto.notify.qdto.PendingListQDTO;
import com.gic.haoban.manage.api.dto.notify.qdto.PendingTaskQDTO;

import java.util.List;

/**
 * Created 2021/12/15.
 *
 * @author hua
 */
public interface PendingTaskApiService {
    /**
     * 新增待办
     *
     * @param qdto
     */
    public void addPendingTask(PendingTaskQDTO qdto);

    /**
     * 待办列表查询分页
     *
     * @return
     */
    public ServiceResponse<Page<PendingTaskDetailDTO>> pagePendingTask(PendingListQDTO listQDTO, BasePageInfo pageInfo);

    /**
     * 今天的待办列表
     *
     * @param enterpriseId
     * @param storeId
     * @param clerkId
     * @param seeSelf
     * @return
     */
    public ServiceResponse<List<PendingTaskDetailDTO>> listPendingTaskToday(String enterpriseId, String storeId, String clerkId, boolean seeSelf);

}
